﻿.group-box{
    width: 100%;
    display: block;
    background-color: #f5f5f5;
    min-height: calc(100vh - 80px);
    font-size: 0;
    margin-top: 80px;
}
.group-all-box{
    width: 1280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    position: relative;
    box-sizing: border-box;
    padding: 40px 0;
}
.group-info-box{
    background-color: #fff;
    width: 100%;
    text-align: center;
    box-sizing: border-box;
    padding: 50px 0;
    margin-bottom: 40px;
}
.group-info-img-box{
    width: 180px;
    height: 180px;
    display: inline-block;
    vertical-align: middle;
    border: 1px solid #d1d1d1;
    box-sizing: border-box;
    text-align: left;
}
.group-info-text-box{
    display: inline-block;
    vertical-align: middle;
    text-align: left;
    margin-left: 50px;
}
.group-info-name-box{
    font-size: 20px;
    font-weight: bold;
    color: #000;
    letter-spacing: 2px;
}
.group-info-text{
    font-size: 16px;
    font-weight: lighter;
    color: #555;
    letter-spacing: 2px;
    margin-top: 15px;
}
.group-info-btn-box{
    font-size: 14px;
    color: #555;
    letter-spacing: 1px;
    background-color: #f5f5f5;
    width: 160px;
    display: block;
    line-height: 30px;
    text-align: center;
    margin-top: 25px;
    border-radius: 5px;
    transition: all .3s linear;
}
.group-info-btn-box i{
    color: #00aaf2;
    margin-right: 5px;
}



@media only screen and (max-width: 1280px){
    .group-all-box{
        width: 1200px;
    }
}
@media only screen and (max-width: 1200px){
    .group-all-box{
        width: 1000px;
    }
}
@media only screen and (max-width: 1000px){
    .group-box{
        margin-top: 69px;
    }
    .group-all-box{
        width: 750px;
    }
}
@media only screen and (max-width: 750px){
    .group-all-box{
        width: 550px;
    }
    .group-info-box{
        padding: 25px 0;
    }
    .group-info-text-box{
        margin-left: 0;
        margin-top: 20px;
    }
}
@media only screen and (max-width: 550px){
    .group-box{
        margin-top: 59px;
    }
    .group-all-box{
        width: 400px;
        padding: 20px 0;
    }
    .group-info-img-box{
        width: 150px;
        height: 150px;
    }
    .group-info-name-box{
        font-size: 18px;
        letter-spacing: 1px;
    }
    .group-info-text-box{
        padding: 0 15px;
    }
    .group-info-text{
        font-size: 14px;
        margin-top: 10px;
    }
    .group-info-btn-box{
        font-size: 12px;
        width: 120px;
        margin-top: 15px;
    }
    .group-info-box{
        margin-bottom: 20px;
    }
}
@media only screen and (max-width: 400px){
    .group-all-box{
        width: 300px;
    }
    .group-info-name-box{
        font-size: 16px;
    }
    .group-info-text-box{
        padding: 0 10px;
    }
    .group-info-text{
        font-size: 12px;
        margin-top: 5px;
        letter-spacing: 1px;
    }
    .group-info-btn-box{
        margin-top: 10px;
    }
    .group-info-box{
        padding: 15px 0;
    }
}



/*-------------hover------------*/
.group-info-btn-box:hover{
    background-color: #ddd;
}


/*animation*/
/*<-------------動畫------------->*/


@media only screen and (min-width: 1001px){
    .group-info-img-box{
        opacity: 0;
    }
    .group-info-box.anima .group-info-img-box{
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .group-info-box.anima .group-info-name-box{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .group-info-box.anima .group-info-text{
        animation: fadeInDown 1s ease .3s 1 both;
    }
    .group-info-box.anima .group-info-btn-box{
        animation: fadeInDown 1s ease .6s 1 both;
    }
}